summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2018-03-18 17:48:26 +0100
committerUlrich Müller <ulm@gentoo.org>2018-03-18 17:51:33 +0100
commit162d255d3983539c05eb0dd36f9c9488e202ab56 (patch)
treee24b6d7d4d57ee90cb3120c4ba633c1f721b644a
parentapp-editors/emacs: Drop optional hesiod support. (diff)
downloadgentoo-162d255d3983539c05eb0dd36f9c9488e202ab56.tar.gz
gentoo-162d255d3983539c05eb0dd36f9c9488e202ab56.tar.bz2
gentoo-162d255d3983539c05eb0dd36f9c9488e202ab56.zip
app-editors/emacs-vcs: Drop optional hesiod support.
Remove support because net-dns/hesiod is masked for removal. The hesiod flag was package.use.masked for some time already. Closes: https://bugs.gentoo.org/626242 Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--app-editors/emacs-vcs/emacs-vcs-26.0.90.ebuild7
-rw-r--r--app-editors/emacs-vcs/emacs-vcs-26.0.91.ebuild7
-rw-r--r--app-editors/emacs-vcs/emacs-vcs-26.0.9999-r1.ebuild7
-rw-r--r--app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild7
-rw-r--r--app-editors/emacs-vcs/metadata.xml1
5 files changed, 12 insertions, 17 deletions
diff --git a/app-editors/emacs-vcs/emacs-vcs-26.0.90.ebuild b/app-editors/emacs-vcs/emacs-vcs-26.0.90.ebuild
index b9eb63f2122..94fd9a28c83 100644
--- a/app-editors/emacs-vcs/emacs-vcs-26.0.90.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-26.0.90.ebuild
@@ -28,7 +28,7 @@ HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="26"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses:0=
@@ -38,7 +38,6 @@ RDEPEND="sys-libs/ncurses:0=
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
gpm? ( sys-libs/gpm )
- hesiod? ( net-dns/hesiod )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
@@ -251,14 +250,14 @@ src_configure() {
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--without-compress-install \
- --with-file-notification=$(usev inotify || usev gfile || echo no) \
+ --without-hesiod \
--without-pop \
+ --with-file-notification=$(usev inotify || usev gfile || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with games gameuser ":gamestat") \
$(use_with gpm) \
- $(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with mailutils) \
diff --git a/app-editors/emacs-vcs/emacs-vcs-26.0.91.ebuild b/app-editors/emacs-vcs/emacs-vcs-26.0.91.ebuild
index b9eb63f2122..94fd9a28c83 100644
--- a/app-editors/emacs-vcs/emacs-vcs-26.0.91.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-26.0.91.ebuild
@@ -28,7 +28,7 @@ HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="26"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses:0=
@@ -38,7 +38,6 @@ RDEPEND="sys-libs/ncurses:0=
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
gpm? ( sys-libs/gpm )
- hesiod? ( net-dns/hesiod )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
@@ -251,14 +250,14 @@ src_configure() {
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--without-compress-install \
- --with-file-notification=$(usev inotify || usev gfile || echo no) \
+ --without-hesiod \
--without-pop \
+ --with-file-notification=$(usev inotify || usev gfile || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with games gameuser ":gamestat") \
$(use_with gpm) \
- $(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with mailutils) \
diff --git a/app-editors/emacs-vcs/emacs-vcs-26.0.9999-r1.ebuild b/app-editors/emacs-vcs/emacs-vcs-26.0.9999-r1.ebuild
index b9eb63f2122..94fd9a28c83 100644
--- a/app-editors/emacs-vcs/emacs-vcs-26.0.9999-r1.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-26.0.9999-r1.ebuild
@@ -28,7 +28,7 @@ HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="26"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses:0=
@@ -38,7 +38,6 @@ RDEPEND="sys-libs/ncurses:0=
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
gpm? ( sys-libs/gpm )
- hesiod? ( net-dns/hesiod )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
@@ -251,14 +250,14 @@ src_configure() {
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--without-compress-install \
- --with-file-notification=$(usev inotify || usev gfile || echo no) \
+ --without-hesiod \
--without-pop \
+ --with-file-notification=$(usev inotify || usev gfile || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with games gameuser ":gamestat") \
$(use_with gpm) \
- $(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with mailutils) \
diff --git a/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild b/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
index 60efd6c274d..30c00f9c66d 100644
--- a/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-27.0.9999.ebuild
@@ -28,7 +28,7 @@ HOMEPAGE="https://www.gnu.org/software/emacs/"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="27"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gconf gfile gif gpm gsettings gtk +gtk3 gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib mailutils motif pax_kernel png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm xwidgets zlib"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses:0=
@@ -38,7 +38,6 @@ RDEPEND="sys-libs/ncurses:0=
alsa? ( media-libs/alsa-lib )
dbus? ( sys-apps/dbus )
gpm? ( sys-libs/gpm )
- hesiod? ( net-dns/hesiod )
!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
kerberos? ( virtual/krb5 )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
@@ -251,14 +250,14 @@ src_configure() {
--localstatedir="${EPREFIX}"/var \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--without-compress-install \
- --with-file-notification=$(usev inotify || usev gfile || echo no) \
+ --without-hesiod \
--without-pop \
+ --with-file-notification=$(usev inotify || usev gfile || echo no) \
$(use_enable acl) \
$(use_with dbus) \
$(use_with dynamic-loading modules) \
$(use_with games gameuser ":gamestat") \
$(use_with gpm) \
- $(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with libxml2 xml2) \
$(use_with mailutils) \
diff --git a/app-editors/emacs-vcs/metadata.xml b/app-editors/emacs-vcs/metadata.xml
index a9cf8efdbc3..743832334a7 100644
--- a/app-editors/emacs-vcs/metadata.xml
+++ b/app-editors/emacs-vcs/metadata.xml
@@ -34,7 +34,6 @@
<flag name="gtk3">Prefer version 3 of the GIMP Toolkit to version 2
(<pkg>x11-libs/gtk+</pkg>)</flag>
<flag name="gzip-el">Compress bundled Emacs Lisp source</flag>
- <flag name="hesiod">Enable support for <pkg>net-dns/hesiod</pkg></flag>
<flag name="imagemagick">Use <pkg>media-gfx/imagemagick</pkg> for image
processing</flag>
<flag name="libxml2">Use <pkg>dev-libs/libxml2</pkg> to parse XML instead